﻿using System;
using System.Collections.Generic;
using System.Collections;
using System.ComponentModel;
using System.Collections.Specialized;
using Windy.OpenLink.Contracts;

namespace Windy.OpenLink.Contracts
{
    public interface INameCollection<out T> : IOwnerableObject<T>, ICollection<string>, IEnumerable<string>, IEnumerable, INotifyPropertyChanged, INotifyCollectionChanged 
    {
        new bool Add(string newName);
    }
}
