﻿using System.Collections.Generic;
using Windy.OpenLink.Collections;
using Windy.OpenLink.Contracts;

namespace Windy.OpenLink.Contracts
{
    public class Host : IHost
    {
        public NameCollection<Host> Address { get; protected set; }

        public virtual HostStatus Status { get; protected set; }

        #region IMultiNameObject Members

        INameCollection<IMultiNameObject> IMultiNameObject.Names { get { return this.Address; } }

        #endregion
    }

    public interface IHost : IMultiNameObject
    {
        HostStatus Status { get; }
    }
}