﻿using System.Collections.Generic;
using Windy.OpenLink.Contracts;

namespace Windy.OpenLink.Contracts.Engine
{
    public class NetworkInterface :
        INetworkInterface,
        INameObject
    {
        public string Name { get; protected set; }
        public INetwork Network { get; protected set; }
    }

    public interface INetworkInterface : INameObject
    {
        INetwork Network { get; }
    }

    public class NetworkInterfaceCollection : Dictionary<string, INetworkInterface>
    { }
}