﻿using System;
using System.Collections.Generic;
using System.Linq;
using System.Text;

namespace OpenLinkCommon.UnitTest.Objects
{
    using Windy.OpenLink;
    using Xunit;

    public class WeakReferenceTest
    {
        [Fact()]
        public void BasicTest()
        {
            WeakReference<string> test = new WeakReference<string>("aa");

            Assert.IsType<string>(test.Target);
            Assert.Equal("aa", test.Target);

            Assert.Equal<string>("aa", test); // Implicit Conversion
        }
    }
}
